Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.capabilities.mdprofiles
Class TransformationMetadata

    java.lang.Object
      org.deegree.ogcwebservices.wcts.capabilities.mdprofiles.TransformationMetadata

All Implemented Interfaces:
  MetadataProfile<Transformation>

    public class TransformationMetadata

extends Object
implements MetadataProfile<Transformation>

The `TransformationMetadata` class implements the MetadataProfile for the description of a Transformation.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`TransformationMetadata(Transformation transformation, String transformID, CoordinateSystem sourceCRS, CoordinateSystem targetCRS, String description)`

Method Summary
`String` | `getDescription()`
`Transformation` | `getParsedMetadataType()` The result may be `null` in which case the 'default' transformation chain will be used.
`CoordinateSystem` | `getSourceCRS()`
`CoordinateSystem` | `getTargetCRS()`
`String` | `getTransformID()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformationMetadata

    public TransformationMetadata(Transformation transformation,
                                  String transformID,
                                  CoordinateSystem sourceCRS,
                                  CoordinateSystem targetCRS,
                                  String description)

Parameters:
  `transformation` - described by this metadata
  `transformID` -
  `sourceCRS` - the source crs
  `targetCRS` - the target crs
  `description` - the metadata

Method Detail

### getParsedMetadataType

    public Transformation getParsedMetadataType()

  The result may be `null` in which case the 'default' transformation chain will be used.

  Specified by:
    `getParsedMetadataType` in interface `MetadataProfile<Transformation>`
  Returns:
    the `Transformation` described by this metadata, if `null` the default transformation chain should be used.

### getSourceCRS

    public final CoordinateSystem getSourceCRS()

  Returns:
    the sourceCRS

### getTargetCRS

    public final CoordinateSystem getTargetCRS()

  Returns:
    the targetCRS

### getDescription

    public final String getDescription()

  Returns:
    the description

### getTransformID

    public final String getTransformID()

  Returns:
    the id of the transform as it was configured.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org